> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.staple.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.staple.ai/_mcp/server.

# Export Matching Document Tuple Via Webhook

POST https://api.staple.io/v1/matching/export-webhook/tuple
Content-Type: application/json

Export matching document tuple via webhook

Reference: https://docs.staple.ai/api-reference/v1/matching/export-matching-document-tuple-via-webhook

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: v1
  version: 1.0.0
paths:
  /v1/matching/export-webhook/tuple:
    post:
      operationId: exportMatchingDocumentTupleViaWebhook
      summary: Export Matching Document Tuple Via Webhook
      description: Export matching document tuple via webhook
      tags:
        - matching
      parameters:
        - name: x-api-key
          in: header
          description: API key issued by Staple.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Matching_exportMatchingDocumentTupleViaWebhook_Response_200
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                event:
                  type: string
                documentTupleId:
                  type: integer
servers:
  - url: https://api.staple.io
    description: https://api.staple.io
components:
  schemas:
    Matching_exportMatchingDocumentTupleViaWebhook_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Matching_exportMatchingDocumentTupleViaWebhook_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key issued by Staple.
    bearerAuth:
      type: http
      scheme: bearer
      description: JWT obtained from the login endpoint.

```

## Examples

### Export Matching Document Tuple Via Webhook



**Request**

```json
undefined
```

**Response**

```json
{
  "data": {
    "res": {
      "message": "Request has been accepted. Please wait for sometime (about 10 minutes) to process."
    }
  }
}
```

**SDK Code**

```python Export Matching Document Tuple Via Webhook
import requests

url = "https://api.staple.io/v1/matching/export-webhook/tuple"

headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Export Matching Document Tuple Via Webhook
const url = 'https://api.staple.io/v1/matching/export-webhook/tuple';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: undefined
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Export Matching Document Tuple Via Webhook
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.staple.io/v1/matching/export-webhook/tuple"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Export Matching Document Tuple Via Webhook
require 'uri'
require 'net/http'

url = URI("https://api.staple.io/v1/matching/export-webhook/tuple")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java Export Matching Document Tuple Via Webhook
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.staple.io/v1/matching/export-webhook/tuple")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .asString();
```

```php Export Matching Document Tuple Via Webhook
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.staple.io/v1/matching/export-webhook/tuple', [
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Export Matching Document Tuple Via Webhook
using RestSharp;

var client = new RestClient("https://api.staple.io/v1/matching/export-webhook/tuple");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
IRestResponse response = client.Execute(request);
```

```swift Export Matching Document Tuple Via Webhook
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.staple.io/v1/matching/export-webhook/tuple")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Matching_exportMatchingDocumentTupleViaWebhook_example



**Request**

```json
{
  "id": "4793329d-271a-47a4-94b9-ba870cb39f5e",
  "event": "EXPORT_DOCUMENT_TUPLE",
  "documentTupleId": 1593
}
```

**Response**

```json
{
  "data": {
    "res": {
      "message": "Request has been accepted. Please wait for sometime (about 10 minutes) to process."
    }
  }
}
```

**SDK Code**

```python Matching_exportMatchingDocumentTupleViaWebhook_example
import requests

url = "https://api.staple.io/v1/matching/export-webhook/tuple"

payload = {
    "id": "4793329d-271a-47a4-94b9-ba870cb39f5e",
    "event": "EXPORT_DOCUMENT_TUPLE",
    "documentTupleId": 1593
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Matching_exportMatchingDocumentTupleViaWebhook_example
const url = 'https://api.staple.io/v1/matching/export-webhook/tuple';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"id":"4793329d-271a-47a4-94b9-ba870cb39f5e","event":"EXPORT_DOCUMENT_TUPLE","documentTupleId":1593}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Matching_exportMatchingDocumentTupleViaWebhook_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.staple.io/v1/matching/export-webhook/tuple"

	payload := strings.NewReader("{\n  \"id\": \"4793329d-271a-47a4-94b9-ba870cb39f5e\",\n  \"event\": \"EXPORT_DOCUMENT_TUPLE\",\n  \"documentTupleId\": 1593\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Matching_exportMatchingDocumentTupleViaWebhook_example
require 'uri'
require 'net/http'

url = URI("https://api.staple.io/v1/matching/export-webhook/tuple")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"id\": \"4793329d-271a-47a4-94b9-ba870cb39f5e\",\n  \"event\": \"EXPORT_DOCUMENT_TUPLE\",\n  \"documentTupleId\": 1593\n}"

response = http.request(request)
puts response.read_body
```

```java Matching_exportMatchingDocumentTupleViaWebhook_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.staple.io/v1/matching/export-webhook/tuple")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"id\": \"4793329d-271a-47a4-94b9-ba870cb39f5e\",\n  \"event\": \"EXPORT_DOCUMENT_TUPLE\",\n  \"documentTupleId\": 1593\n}")
  .asString();
```

```php Matching_exportMatchingDocumentTupleViaWebhook_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.staple.io/v1/matching/export-webhook/tuple', [
  'body' => '{
  "id": "4793329d-271a-47a4-94b9-ba870cb39f5e",
  "event": "EXPORT_DOCUMENT_TUPLE",
  "documentTupleId": 1593
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Matching_exportMatchingDocumentTupleViaWebhook_example
using RestSharp;

var client = new RestClient("https://api.staple.io/v1/matching/export-webhook/tuple");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"id\": \"4793329d-271a-47a4-94b9-ba870cb39f5e\",\n  \"event\": \"EXPORT_DOCUMENT_TUPLE\",\n  \"documentTupleId\": 1593\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Matching_exportMatchingDocumentTupleViaWebhook_example
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "id": "4793329d-271a-47a4-94b9-ba870cb39f5e",
  "event": "EXPORT_DOCUMENT_TUPLE",
  "documentTupleId": 1593
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.staple.io/v1/matching/export-webhook/tuple")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```